MediaWiki:Vector.css: Difference between revisions

Raven.Familiar (talk | contribs)
Test
Raven.Familiar (talk | contribs)
No edit summary
Tag: Manual revert
Line 394: Line 394:
}
}


/* X NAVIGATION BUTTON */
/* Primary button appearance */
#n-X a {
display: block;
padding: 6px 10px 5px 32px;
font-size: 13px;
font-weight: bold;
text-align: center;
text-decoration: none;
background-color: #000000;
border-radius: 5px;
border-width: 1px;
border-style: solid;
border-color: #ffffff #868686 #878787 #ffffff;
box-shadow: 1px 1px 3px 0 rgba(0, 0, 0, 0.37);
transition: all 0.15s ease;
position: relative;
right: -1px;
margin-bottom: 0.5em;
color:white !important;
&:hover {
background-color:#28292f;
}
}
/* Reset default sidebar spacing */
#mw-panel.vector-legacy-sidebar > nav.mw-portlet#p-X,
#n-X,
#p-X .vector-menu-content,
#p-X .vector-menu-content-list {
margin: 0;
padding: 0;
border: none;
background: transparent;
box-shadow: none;
}
/* Hide section heading */
#p-logo2 + .mw-portlet .vector-menu-heading {
display: none !important;
}
#p-logo2 + .mw-portlet .vector-menu-heading {
display: block !important;
}
#p-logo2 {
margin-bottom: 0;
}
/* Add text prefix */
#n-X a::before {
content: "Follow our ";
font-weight: normal;
}
/* X icon positioning */
#n-X a::after {
    content: '';
    position: absolute;
    left: 10px;
    width: 17px;
    height: 13px;
    background-image: url("https://hna.wiki/images/X-Symbol-White.png");
    filter: drop-shadow(0 1px 1px rgba(0, 0, 0, 0.1));
}
.cdx-button:enabled:hover,
.cdx-button.cdx-button--fake-button--enabled:hover {
background-color: #2b1e18;
border-color: #6e6e6e;
cursor: pointer;
}
#skin-client-prefs-skin-theme {
display: none
}


/* RECENT CHANGES SIDEBAR */
/* RECENT CHANGES SIDEBAR */